#dimensionEntryBtn:hover {
	background-color: lightGreen;
}

#dimensionEntryBtn.dimensionsSet:hover {
	background-color: red;
}

#dimensionEntryDiv {
	max-width: 800px;
	max-height: 800px;
	transition: all 3s ease-in-out;
	overflow: hidden;
}
#dimensionEntryDiv.dissolve {
	max-width: 0px;
	max-height: 0px;
}

#entryEntryDiv {
	max-height: 800px;
	transition: max-height 2s ease-in-out;
	transition-delay: 3.2s;
	overflow: hidden;
}
#entryEntryDiv.dissolve {
	max-height: 0px;
}

#reloadMsg, #reloadMsg2 {
	color: red;
	font-size: small;
}

.validMatrix:hover {
	background-color: red;
}

.validInput:hover {
	background-color: lightGreen;
}

.validMatrix.validInput:hover {
	background-color: red;
}

.invalidInput:hover {
	background-color: red;
}

.matrixEl {
	display: inline-block;
	font-size: large;
}

.rowOpEntry {
	display: inline-block;
}

.inputEl {
	padding: 0;
	border: 0;
}

.inputEl.below {
	/*visibility: hidden;*/
	/*disabled: true;*/
	text-align: center;
	font-size: small;
	border: none;
	outline: none;
	user-select: none;
	-moz-user-select: none;
	background-color: white;
}

.inputEl.below:focus {
	border: none;
	outline: none;
	user-select: none;
	-moz-user-select: none;
}

.flexDiv {
	display: flex;
	flex-direction: column;
	justify-content: center;
	height: 100%;
}

.arrowBtn {
	width: 120px;
	height: 30px;
	background-color: #dddddd;
	border: 0;
}

/*
.arrowBtn:hover {
	background-color: lightGreen;
}
*/

#matrixStatusMux {
	white-space: nowrap;
}

#settingsRow {
	display: flex;
	flex-direction: row;
}

.opSequenceRow {
	display: flex;
	margin-top: 4px;
}

.bottomFiller {
	height: 100vh;
}

.leftbracket {
	display: inline-block;
	width: 11px;
	height: 94%;
	border-left: 3px solid black;
	border-top: 3px solid black;
	border-bottom: 3px solid black;
	margin-left: 3px;
}

.leftbracket.ref, .rightbracket.ref {
	border-color: silver;
}

.leftbracket.rref, .rightbracket.rref {
	border-color: gold;
}

.rightbracket {
	display: inline-block;
	width: 11px;
	height: 94%;
	border-right: 3px solid black;
	border-top: 3px solid black;
	border-bottom: 3px solid black;
	margin-right: 3px;
}

.mtable {
	display: inline-block;
	padding-bottom: 6px;
	border-spacing: 0px 3px; 
	font-size: large;
	border-collapse: collapse;
}

tr.zeroRowAug {
	background-color: white;
}

tr.zeroRow {
	color: rgba(0,0,0,.5);
}

tr.contradictionRow {
	background-color: red;
}

td.mentry {
	padding-right: 12px;
	padding-left: 3px;
}

td.mentry.rightColumn {
	border-left: 1px dashed black;
}

td > mjx-container[display] {
	margin-top: 0;
	margin-bottom: 0;
}

#geTitle {
	font-size: 24pt;
	margin-top: 4px;
	margin-left: 4px;
	margin-bottom: 0;
	color: black;
}

#versionNo {
	color: silver;
}

#authorEmail {
	color: black;
	font-size: 10pt;
	font-family: "Courier New", monospace;
	margin-top: 0;
	margin-left: 5px;
}

#sketchpad {
	font-family: 'Bradley Hand', cursive;
	color: gold;
	font-size: 30pt;
}

div.topRightCorner {
	position: fixed;
	top: 6px;
	right: 5px;
	font-size: x-large;
}

.hfillRight {
	width: 20em;
}
